Package org.flowable.bpmn.model

# Class MessageEventDefinition

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.EventDefinition
org.flowable.bpmn.model.MessageEventDefinition

All Implemented Interfaces:
  `HasExtensionAttributes`

public class MessageEventDefinition extends EventDefinition

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `messageExpression`
  `protected String`
  `messageRef`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageEventDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MessageEventDefinition`
  `clone()`
  `String`
  `getMessageExpression()`
  `String`
  `getMessageRef()`
  `void`
  `setMessageExpression(String messageExpression)`
  `void`
  `setMessageRef(String messageRef)`
  `void`
  `setValues(MessageEventDefinition otherDefinition)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### messageRef

    protected String messageRef

  - ### messageExpression

    protected String messageExpression

- ## Constructor Details

  - ### MessageEventDefinition

    public MessageEventDefinition()

- ## Method Details

  - ### getMessageRef

    public String getMessageRef()

  - ### setMessageRef

    public void setMessageRef(String messageRef)

  - ### getMessageExpression

    public String getMessageExpression()

  - ### setMessageExpression

    public void setMessageExpression(String messageExpression)

  - ### clone

    public MessageEventDefinition clone()
    Specified by:
      `clone` in class `EventDefinition`

  - ### setValues

    public void setValues(MessageEventDefinition otherDefinition)